
#ifndef I_MY_BINDER_H
#define I_MY_BINDER_H

#include <binder/IInterface.h>
#include <binder/IPermissionController.h>
#include <utils/Vector.h>
#include <utils/String16.h>



namespace android {

    class IMyBinder : public IInterface {
        public:
            DECLARE_META_INTERFACE(MyBinder);

            virtual bool loadBomb(const int num) = 0;
            virtual int checkBomb(void) = 0;
            virtual bool fire(void) = 0;

        enum {
            LOAD_BOMB_TRANSACTION = IBinder::FIRST_CALL_TRANSACTION,
            CHECK_BOMB_TRANSACTION,
            FIRE_TRANSACTION
        };
    };
}
#endif /* I_MY_BINDER_H */
